Skip to main content

Delete machine account

POST 

/machine-accounts/v1/:id/delete

experimental

This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.

Use this API to submit a request to delete a machine account from its source. Depending on the tenant's account deletion approval settings, the request can need approval before the account is deleted. The response returns the ID of the account request.

The machine account must be linked to a machine identity; otherwise this API returns 404. Machine accounts aggregated from a dataset can be rejected with 400.

A caller who owns the machine account can delete it. Other callers need the idn:mis-account:delete right.

Request​

Responses​

The deletion request was accepted.